/* Generated by powerful Codeforces Tool
 * Author: $%U%$
 * Time: $%Y%$-$%M%$-$%D%$ $%h%$:$%m%$
**/

#include<bits/stdc++.h>
using namespace std;
namespace R = std::ranges;

#define F(i, a, e) for(ll i = (a); i < (e); i++)
#define R(i, e) F(i, 0, e)

typedef long long ll;
typedef double lf;
typedef complex<lf> cp;
typedef pair<int, int> pii;


template<class T> bool ckmin(T& a, const T& b) { return b < a ? a = b, 1 : 0; }
template<class T> bool ckmax(T& a, const T& b) { return a < b ? a = b, 1 : 0; }


const lf PI = acos(-1), EPSI = 1e-9;

mt19937 rng(chrono::steady_clock::now().time_since_epoch().count());


// =============== Solution section ===============
const int MAXN = 2e5 + 5;
ll X, Y, N;

void solve(){
    // Code goes here ...
    cin >> X >> Y >> N;

    vector<ll> a;
    ll diff = 0;
    R(i, N){
        Y -= diff;
        a.push_back(Y);
        diff++;
    }

    if(Y < X){
        cout << -1 << endl;
        return;
    }
    R::reverse(a);
    a[0] = X;

    for(auto e: a)
        cout << e << " ";
    cout << endl;
}


// =============== Main section ===============
int main(){
    ios_base::sync_with_stdio(0); cin.tie(0);
    cout << setprecision(12); // << fixed;

    int T = 1;
    cin >> T;
    while(T--)
        solve();

    return 0;
}
        
